P4_PARSE_TO_S(3)

NAME
p4_parse_to_s - PARSE>S ( [ccc<char;>] char -- addr len )

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_parse_to_s(---);

DESCRIPTION

Parse the input stream up to the first occurrence of char, which is parsed away. If executing in compilation mode, append run-time semantics to the current definition that leaves the ANS Forth string representation on the stack. In interpretation mode, leave the ANS Forth string representation for a stored copy, which may be transient in the style of S". In either mode, the format of the stored string is implementation dependent. "parse-to-s"

NOTE: The interpreted copy is a nontransient in this implementation, and both copies are mstrings.

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams